django_project_run_message="""\n##Instrucciones:
1. Revisa y actualiza las variables de entorno en `.envs/.local/`
2. Construye y inicia los contenedores de Docker:
    - `docker-compose -f local.yml build`
    - `docker-compose -f local.yml up`
3. Ejecuta las migraciones:
    - `docker-compose -f local.yml run --rm django python manage.py migrate`
4. Crea un superusuario:
    - `docker-compose -f local.yml run --rm django python manage.py createsuperuser`
"""

description_guidelines = """
Guía para escribir una buena descripción:
----------------------------------------
- Comience con un resumen breve y claro del propósito del proyecto
- Mencione las principales características o funcionalidades
- Incluya tecnologías principales utilizadas
- Si aplica, mencione el público objetivo

Ejemplo:
----------------------------------------
Este proyecto es una aplicación web para gestionar inventarios de pequeños negocios.
Permite realizar seguimiento de productos, generar reportes de ventas y administrar
proveedores de manera eficiente.

Características principales:
- Sistema de autenticación de usuarios
- Dashboard con métricas en tiempo real
- Gestión de productos y categorías
- Generación de reportes en PDF
----------------------------------------
"""

vue_project_run_message ="""2. Instale el projecto
    - `npm install`
3. Inicie el servidor de desarrollo
    - `npm run dev`
"""

vue_gitignore_content = """# Logs
logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*

node_modules
.DS_Store
dist
dist-ssr
coverage
*.local

# Editor directories and files
.vscode/*
!.vscode/extensions.json
.idea
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?

# Environment files
.env
.env.*
!.env.example
"""
django_gitignore_content = """# Django
*.log
*.pot
*.pyc
__pycache__/
local_settings.py
db.sqlite3
db.sqlite3-journal
media/

# Python
*.py[cod]
*$py.class
*.so
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
*.egg-info/
.installed.cfg
*.egg

# Environment
.env
.env.*
.venv
env/
venv/
ENV/

# IDE
.idea/
.vscode/
*.swp
*.swo

# OS
.DS_Store
Thumbs.db
"""

django_requirements = """environ
jwt
celery
djangorestframework
drf-spectacular
django-filter
djangorestframework-simplejwt
django-auditlog
"""